Get your API account
curl --request GET \
--url https://partners.crewpass.co.uk/api/v2/partners/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://partners.crewpass.co.uk/api/v2/partners/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.crewpass.co.uk/api/v2/partners/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partner_id": "prt_123",
"partner_type": "customer",
"mode": "live",
"display_name": "Example Fleet Management",
"status": "active",
"subscription_plan": "management",
"granted_scopes": [
"crew:status:read",
"crew:profile:read",
"vessels:fleet:read"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Account
Get your API account
Your API account: its id, name, key mode and the scopes your key has.
Any valid API key can call this. Call it first to check your key works and to see which endpoints you can use.
GET
/
api
/
v2
/
partners
/
me
Get your API account
Authorizations
Partner API key (cpk_live_* / cpk_test_*) as a Bearer token.
Headers
Your API key, as an alternative to the Authorization: Bearer header.
Response
Successful Response
Your API account and the scopes your key has been granted.
Example:
"prt_123"
Available options:
customer, external Available options:
live, test Example:
"Example Fleet Management"
Example:
"management"
Example:
[
"crew:status:read",
"crew:profile:read",
"vessels:fleet:read"
]